#---------------------------------------------------------------------------------------------------
# %L                                                                                               -
# protocol-core                                                                                    -
# %%                                                                                               -
# Copyright (C) 2016 - 2018 République et Canton de Genève                                         -
# %%                                                                                               -
# This program is free software: you can redistribute it and/or modify                             -
# it under the terms of the GNU Affero General Public License as published by                      -
# the Free Software Foundation, either version 3 of the License, or                                -
# (at your option) any later version.                                                              -
#                                                                                                  -
# This program is distributed in the hope that it will be useful,                                  -
# but WITHOUT ANY WARRANTY; without even the implied warranty of                                   -
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                     -
# GNU General Public License for more details.                                                     -
#                                                                                                  -
# You should have received a copy of the GNU Affero General Public License                         -
# along with this program. If not, see <http://www.gnu.org/licenses/>.                             -
# L%                                                                                               -
#---------------------------------------------------------------------------------------------------

version: '3'
services:
  postgresql-bb:
    image: chvote/eventlog-database
    container_name: postgresqlbb
    environment:
      POSTGRES_PASSWORD: password
    expose:
      - '5432'
    ports:
      - '5002:5432'
  postgresql-0:
    image: chvote/eventlog-database
    container_name: postgresql0
    environment:
      POSTGRES_PASSWORD: password
    expose:
      - '5432'
    ports:
      - '5000:5432'
  postgresql-1:
      image: chvote/eventlog-database
      container_name: postgresql1
      environment:
        POSTGRES_PASSWORD: password
      expose:
        - '5432'
      ports:
        - '5001:5432'
  message-broker:
    image: rabbitmq:3.6-management
    container_name: message-broker
    hostname: 'message-broker'
    environment:
      RABBITMQ_DEFAULT_USER: 'rabbitmq'
      RABBITMQ_DEFAULT_PASS: 'p4ssW0rd'
    expose:
      - '5672'
      - '15672'
    ports:
      - '5672:5672'
      - '15672:15672'